Bug 179072 - [patch] [update] audio/flac: update to 1.3.0
[patch] [update] audio/flac: update to 1.3.0
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Christian Weisgerber
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-29 09:10 UTC by vsjcfm
Modified: 2013-06-09 20:40 UTC (History)
0 users

See Also:


Attachments
patch.txt (2.91 KB, text/plain)
2013-05-29 09:10 UTC, vsjcfm
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description vsjcfm 2013-05-29 09:10:00 UTC
There is a new version.

Fix: I don't sure if the patch is fully correct (maybe pkg-plist must be changed or something like). But it compiles successfully.
Comment 1 Edwin Groothuis freebsd_committer 2013-05-29 09:10:09 UTC
Responsible Changed
From-To: freebsd-ports-bugs->naddy

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter freebsd_committer 2013-06-09 20:31:19 UTC
Author: naddy
Date: Sun Jun  9 19:30:58 2013
New Revision: 320405
URL: http://svnweb.freebsd.org/changeset/ports/320405

Log:
  * Major update to FLAC 1.3.0, including shared library bumps.
  * Chase the update in dependent ports.
  
  PR:		179072

Added:
  head/audio/xmms-flac/files/patch-src_plugin__xmms_plugin.c   (contents, props changed)
Deleted:
  head/audio/flac/files/patch-src_libFLAC_Makefile.in
Modified:
  head/UPDATING
  head/audio/akode-plugins-xiph/Makefile   (contents, props changed)
  head/audio/alure/Makefile
  head/audio/aqualung/Makefile
  head/audio/audacity/Makefile
  head/audio/bmp-flac/Makefile
  head/audio/cmus/Makefile
  head/audio/cynthiune/Makefile   (contents, props changed)
  head/audio/deadbeef/Makefile
  head/audio/dvda-author/Makefile
  head/audio/easytag/Makefile
  head/audio/flac/Makefile
  head/audio/flac/distinfo   (contents, props changed)
  head/audio/flac/files/patch-Makefile.in   (contents, props changed)
  head/audio/flac/files/patch-configure   (contents, props changed)
  head/audio/flac/files/patch-man_flac.1   (contents, props changed)
  head/audio/flac/pkg-plist   (contents, props changed)
  head/audio/flac123/Makefile   (contents, props changed)
  head/audio/gmtp/Makefile
  head/audio/gtkpod/Makefile
  head/audio/harp/Makefile   (contents, props changed)
  head/audio/kid3-kde4/Makefile
  head/audio/kid3/Makefile
  head/audio/kio-audiocd/Makefile
  head/audio/libbs2b/Makefile   (contents, props changed)
  head/audio/libfishsound/Makefile
  head/audio/libgig/Makefile   (contents, props changed)
  head/audio/libsndfile/Makefile   (contents, props changed)
  head/audio/lmms/Makefile
  head/audio/mixxx/Makefile
  head/audio/mous/Makefile
  head/audio/muine/Makefile
  head/audio/musicpd/Makefile   (contents, props changed)
  head/audio/mythplugin-mythmusic/Makefile
  head/audio/ocp/Makefile
  head/audio/p5-Audio-FLAC-Header/Makefile   (contents, props changed)
  head/audio/prokyon3/Makefile
  head/audio/rezound/Makefile
  head/audio/sdl_mixer/Makefile
  head/audio/sdl_sound/Makefile
  head/audio/sox/Makefile
  head/audio/squash/Makefile   (contents, props changed)
  head/audio/vorbis-tools/Makefile
  head/audio/xmcd/Makefile   (contents, props changed)
  head/audio/xmms-flac/Makefile
  head/audio/xmms-flac/distinfo   (contents, props changed)
  head/audio/xmms-flac/files/patch-configure   (contents, props changed)
  head/audio/xmms-flac/files/patch-src_plugin__xmms_Makefile.in   (contents, props changed)
  head/audio/xmms-flac/pkg-descr   (contents, props changed)
  head/audio/xmms2/Makefile
  head/emulators/mame/Makefile
  head/emulators/mess/Makefile
  head/multimedia/gmerlin-avdecoder/Makefile
  head/multimedia/kdemultimedia3/Makefile
  head/multimedia/libxine/Makefile
  head/multimedia/mkvtoolnix/Makefile
  head/multimedia/qmmp/Makefile
  head/multimedia/vlc/Makefile
  head/multimedia/xbmc/Makefile
  head/net-p2p/lopster/Makefile   (contents, props changed)
  head/net/minidlna/Makefile
  head/sysutils/fusefs-mp3fs/Makefile
  head/sysutils/k3b-kde4/Makefile
  head/sysutils/k3b/Makefile   (contents, props changed)
  head/textproc/libextractor/Makefile

Modified: head/UPDATING
==============================================================================
--- head/UPDATING	Sun Jun  9 19:27:00 2013	(r320404)
+++ head/UPDATING	Sun Jun  9 19:30:58 2013	(r320405)
@@ -5,6 +5,19 @@ they are unavoidable.
 You should get into the habit of checking this file for changes each time
 you update your ports collection, before attempting any port upgrades.
 
+20130609:
+  AFFECTS: users of audio/flac and any port that depends on it
+  AUTHOR: naddy@FreeBSD.org
+
+  FLAC has been updated to 1.3.0 and the shared library versions
+  have been bumped.  Please rebuild all ports that depend on it:
+
+  # portmaster -r flac
+    or
+  # portupgrade -fr audio/flac
+    or
+  # pkg install -fR audio/flac
+
 20130607:
   AFFECTS: Nobody
   AUTHOR: wxs@FreeBSD.org

Modified: head/audio/akode-plugins-xiph/Makefile
==============================================================================
--- head/audio/akode-plugins-xiph/Makefile	Sun Jun  9 19:27:00 2013	(r320404)
+++ head/audio/akode-plugins-xiph/Makefile	Sun Jun  9 19:30:58 2013	(r320405)
@@ -7,7 +7,7 @@
 
 PORTNAME=	akode-plugins-${PORTNAMESUFX}
 PORTVERSION=	2.0.2
-PORTREVISION=	4
+PORTREVISION=	5
 PORTEPOCH=	1
 CATEGORIES=	audio kde
 MASTER_SITES=	http://www.kde-apps.org/CONTENT/content-files/ \

Modified: head/audio/alure/Makefile
==============================================================================
--- head/audio/alure/Makefile	Sun Jun  9 19:27:00 2013	(r320404)
+++ head/audio/alure/Makefile	Sun Jun  9 19:30:58 2013	(r320405)
@@ -3,6 +3,7 @@
 
 PORTNAME=	alure
 PORTVERSION=	1.2
+PORTREVISION=	1
 CATEGORIES=	audio
 MASTER_SITES=	http://kcat.strangesoft.net/alure-releases/
 

Modified: head/audio/aqualung/Makefile
==============================================================================
--- head/audio/aqualung/Makefile	Sun Jun  9 19:27:00 2013	(r320404)
+++ head/audio/aqualung/Makefile	Sun Jun  9 19:30:58 2013	(r320405)
@@ -3,7 +3,7 @@
 
 PORTNAME=	aqualung
 DISTVERSION=	0.9beta11
-PORTREVISION=	14
+PORTREVISION=	15
 CATEGORIES=	audio
 MASTER_SITES=	SF/${PORTNAME}/${PORTNAME}/${DISTVERSION} \
  		http://wickedmachine.net/mirror/

Modified: head/audio/audacity/Makefile
==============================================================================
--- head/audio/audacity/Makefile	Sun Jun  9 19:27:00 2013	(r320404)
+++ head/audio/audacity/Makefile	Sun Jun  9 19:30:58 2013	(r320405)
@@ -3,6 +3,7 @@
 
 PORTNAME=	audacity
 PORTVERSION=	2.0.3
+PORTREVISION=	1
 CATEGORIES=	audio
 MASTER_SITES=	GOOGLE_CODE \
 		SF/${PORTNAME}/${PORTNAME}-unstable/${PORTVERSION}

Modified: head/audio/bmp-flac/Makefile
==============================================================================
--- head/audio/bmp-flac/Makefile	Sun Jun  9 19:27:00 2013	(r320404)
+++ head/audio/bmp-flac/Makefile	Sun Jun  9 19:30:58 2013	(r320405)
@@ -7,7 +7,7 @@
 
 PORTNAME=	flac
 PORTVERSION=	20040316
-PORTREVISION=	9
+PORTREVISION=	10
 CATEGORIES=	audio
 MASTER_SITES=	http://ccm.sherry.jp/tmp/
 PKGNAMEPREFIX=	bmp-
@@ -17,7 +17,7 @@ MAINTAINER=	ports@FreeBSD.org
 COMMENT=	FLAC input plugin for beep-media-player
 
 LIB_DEPENDS=	beep.2:${PORTSDIR}/multimedia/beep-media-player \
-		FLAC.10:${PORTSDIR}/audio/flac
+		FLAC:${PORTSDIR}/audio/flac
 
 PLIST_FILES=	lib/bmp/Input/libbmp-flac.so
 

Modified: head/audio/cmus/Makefile
==============================================================================
--- head/audio/cmus/Makefile	Sun Jun  9 19:27:00 2013	(r320404)
+++ head/audio/cmus/Makefile	Sun Jun  9 19:30:58 2013	(r320405)
@@ -3,6 +3,7 @@
 
 PORTNAME=	cmus
 PORTVERSION=	2.5.0
+PORTREVISION=	1
 CATEGORIES=	audio
 MASTER_SITES=	SF/${PORTNAME}
 DISTNAME=	${PORTNAME}-v${PORTVERSION}

Modified: head/audio/cynthiune/Makefile
==============================================================================
--- head/audio/cynthiune/Makefile	Sun Jun  9 19:27:00 2013	(r320404)
+++ head/audio/cynthiune/Makefile	Sun Jun  9 19:30:58 2013	(r320405)
@@ -7,7 +7,7 @@
 
 PORTNAME=	cynthiune
 PORTVERSION=	0.9.5
-PORTREVISION=	10
+PORTREVISION=	11
 CATEGORIES=	audio gnustep
 MASTER_SITES=	${MASTER_SITE_DEBIAN}
 MASTER_SITE_SUBDIR=	pool/main/c/cynthiune.app

Modified: head/audio/deadbeef/Makefile
==============================================================================
--- head/audio/deadbeef/Makefile	Sun Jun  9 19:27:00 2013	(r320404)
+++ head/audio/deadbeef/Makefile	Sun Jun  9 19:30:58 2013	(r320405)
@@ -3,7 +3,7 @@
 
 PORTNAME=	deadbeef
 PORTVERSION=	0.5.5
-PORTREVISION=	1
+PORTREVISION=	2
 CATEGORIES=	audio
 MASTER_SITES=	SF/${PORTNAME}
 

Modified: head/audio/dvda-author/Makefile
==============================================================================
--- head/audio/dvda-author/Makefile	Sun Jun  9 19:27:00 2013	(r320404)
+++ head/audio/dvda-author/Makefile	Sun Jun  9 19:30:58 2013	(r320405)
@@ -3,7 +3,7 @@
 
 PORTNAME=	dvda-author
 PORTVERSION=	09.05
-PORTREVISION=	8
+PORTREVISION=	9
 PORTEPOCH=	1
 CATEGORIES=	audio
 MASTER_SITES=	SF/dvd-audio/${PORTNAME}-core/${PORTNAME}-${PORTVERSION}-core
@@ -12,7 +12,7 @@ DISTNAME=	${PORTNAME}-${PORTVERSION}-7
 MAINTAINER=	martin.dieringer@gmx.de
 COMMENT=	Author and playback unencrypted and uncompressed Audio-DVDs
 
-LIB_DEPENDS=	FLAC.10:${PORTSDIR}/audio/flac \
+LIB_DEPENDS=	FLAC:${PORTSDIR}/audio/flac \
 	ogg:${PORTSDIR}/audio/libogg \
 	sox.1:${PORTSDIR}/audio/sox \
 	samplerate.1:${PORTSDIR}/audio/libsamplerate \

Modified: head/audio/easytag/Makefile
==============================================================================
--- head/audio/easytag/Makefile	Sun Jun  9 19:27:00 2013	(r320404)
+++ head/audio/easytag/Makefile	Sun Jun  9 19:30:58 2013	(r320405)
@@ -3,6 +3,7 @@
 
 PORTNAME=	easytag
 PORTVERSION=	2.1.8
+PORTREVISION=	1
 CATEGORIES=	audio
 MASTER_SITES=	GNOME
 

Modified: head/audio/flac/Makefile
==============================================================================
--- head/audio/flac/Makefile	Sun Jun  9 19:27:00 2013	(r320404)
+++ head/audio/flac/Makefile	Sun Jun  9 19:30:58 2013	(r320405)
@@ -2,8 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	flac
-PORTVERSION=	1.2.1
-PORTREVISION=	3
+PORTVERSION=	1.3.0
 CATEGORIES=	audio
 MASTER_SITES=	http://downloads.xiph.org/releases/flac/
 
@@ -12,28 +11,28 @@ COMMENT=	Free lossless audio codec
 
 LIB_DEPENDS=	ogg:${PORTSDIR}/audio/libogg
 
+USES=		pathfix
 USE_AUTOTOOLS=	libtool
+USE_XZ=		yes
 GNU_CONFIGURE=	yes
 CONFIGURE_ARGS=	--enable-sse \
 		--with-ogg="${LOCALBASE}" \
+		--disable-silent-rules \
 		--disable-thorough-tests \
 		--disable-xmms-plugin
-CPPFLAGS+=	-I${WRKSRC}/include
 MAKE_JOBS_SAFE=	yes
 
-OPTIONS_DEFINE=	ICONV
+OPTIONS_DEFINE=	DOCS ICONV
 OPTIONS_DEFAULT=ICONV
 
 .include <bsd.port.options.mk>
 
 .if ${PORT_OPTIONS:MICONV}
 USES+=		iconv
-CONFIGURE_ARGS+=--with-libiconv-prefix="${LOCALBASE}"
-.else
-CONFIGURE_ARGS+=--without-libiconv-prefix
+CPPFLAGS+=	-I${LOCALBASE}/include
+LDFLAGS+=	-L${LOCALBASE}/lib
 .endif
 
-MAKE_ARGS=	pkgconfigdir="${PREFIX}/libdata/pkgconfig"
 .if ${PORT_OPTIONS:MDOCS}
 MAKE_ENV+=	DOC=doc
 .else
@@ -53,10 +52,6 @@ pre-patch:
 	@${REINPLACE_CMD} 's:^docdir = $$(datadir)/doc/$$(PACKAGE)-$$(VERSION):docdir = $$(datadir)/doc/$$(PACKAGE):' \
 		`find ${WRKSRC}/doc -name Makefile.in`
 
-# "obj" is magic to our make(1)
-post-configure:
-	@${RM} -rf ${WRKSRC}/obj
-
 post-build:
 	${REINPLACE_CMD} 's:%%PREFIX%%:${PREFIX}:' ${WRKSRC}/man/flac.1
 

Modified: head/audio/flac/distinfo
==============================================================================
--- head/audio/flac/distinfo	Sun Jun  9 19:27:00 2013	(r320404)
+++ head/audio/flac/distinfo	Sun Jun  9 19:30:58 2013	(r320405)
@@ -1,2 +1,2 @@
-SHA256 (flac-1.2.1.tar.gz) = 9635a44bceb478bbf2ee8a785cf6986fba525afb5fad1fd4bba73cf71f2d3edf
-SIZE (flac-1.2.1.tar.gz) = 2009217
+SHA256 (flac-1.3.0.tar.xz) = fa2d64aac1f77e31dfbb270aeb08f5b32e27036a52ad15e69a77e309528010dc
+SIZE (flac-1.3.0.tar.xz) = 1084256

Modified: head/audio/flac/files/patch-Makefile.in
==============================================================================
--- head/audio/flac/files/patch-Makefile.in	Sun Jun  9 19:27:00 2013	(r320404)
+++ head/audio/flac/files/patch-Makefile.in	Sun Jun  9 19:30:58 2013	(r320405)
@@ -1,14 +1,14 @@
 
 $FreeBSD$
 
---- Makefile.in.orig
-+++ Makefile.in
-@@ -234,7 +234,7 @@
- 
- AUTOMAKE_OPTIONS = foreign 1.7
- 
--SUBDIRS = doc include m4 man src examples test build obj
-+SUBDIRS = $(DOC) include m4 man src test build
- 
- DISTCLEANFILES = libtool-disable-static
- 
+--- Makefile.in.orig	2013-05-27 10:11:58.639908000 +0200
++++ Makefile.in	2013-06-09 18:13:05.000000000 +0200
+@@ -323,7 +323,7 @@ top_build_prefix = @top_build_prefix@
+ top_builddir = @top_builddir@
+ top_srcdir = @top_srcdir@
+ ACLOCAL_AMFLAGS = -I m4
+-SUBDIRS = doc include m4 man src examples test build objs
++SUBDIRS = $(DOC) include m4 man src examples test build objs
+ EXTRA_DIST = \
+ 	COPYING.FDL \
+ 	COPYING.GPL \

Modified: head/audio/flac/files/patch-configure
==============================================================================
--- head/audio/flac/files/patch-configure	Sun Jun  9 19:27:00 2013	(r320404)
+++ head/audio/flac/files/patch-configure	Sun Jun  9 19:30:58 2013	(r320405)
@@ -1,14 +1,14 @@
 
 $FreeBSD$
 
---- configure.orig
-+++ configure
-@@ -23490,7 +23490,7 @@
+--- configure.orig	2013-05-27 10:11:54.740045000 +0200
++++ configure	2013-06-09 18:15:53.000000000 +0200
+@@ -19807,7 +19807,7 @@ else
  	CPPFLAGS="-DNDEBUG $CPPFLAGS"
  	if test "x$GCC" = xyes; then
- 		CPPFLAGS="-DFLaC__INLINE=__inline__ $CPPFLAGS"
--		CFLAGS="-O3 -funroll-loops -finline-functions -Wall -W -Winline $CFLAGS"
-+		CFLAGS="-Wall -W $CFLAGS"
+ 		if test "x$user_cflags" = x; then
+-			CFLAGS="-O3 -funroll-loops -Wall -W -Winline"
++			CFLAGS="-Wall -W"
+ 		fi
  	fi
  fi
- 

Modified: head/audio/flac/files/patch-man_flac.1
==============================================================================
--- head/audio/flac/files/patch-man_flac.1	Sun Jun  9 19:27:00 2013	(r320404)
+++ head/audio/flac/files/patch-man_flac.1	Sun Jun  9 19:30:58 2013	(r320405)
@@ -1,13 +1,13 @@
 
 $FreeBSD$
 
---- man/flac.1.orig
-+++ man/flac.1
-@@ -325,7 +325,7 @@
+--- man/flac.1.orig	2013-05-26 11:30:33.924201000 +0200
++++ man/flac.1	2013-06-09 18:16:59.000000000 +0200
+@@ -380,7 +380,7 @@ These flags can be used to invert the se
  .PP
  metaflac(1).
  .PP
--The programs are documented fully by HTML format documentation, available in \fI/usr/share/doc/flac/html\fR on Debian GNU/Linux systems.
+-The programs are documented fully by HTML format documentation, available in \fI/usr/share/doc/libflac-doc/html\fR on Debian GNU/Linux systems.
 +The programs are documented fully by HTML format documentation, available in \fI%%PREFIX%%/share/doc/flac/html\fR.
  .SH "AUTHOR"
  .PP

Modified: head/audio/flac/pkg-plist
==============================================================================
--- head/audio/flac/pkg-plist	Sun Jun  9 19:27:00 2013	(r320404)
+++ head/audio/flac/pkg-plist	Sun Jun  9 19:30:58 2013	(r320405)
@@ -18,201 +18,16 @@ include/FLAC/stream_encoder.h
 lib/libFLAC++.a
 lib/libFLAC++.la
 lib/libFLAC++.so
-lib/libFLAC++.so.8
+lib/libFLAC++.so.9
 lib/libFLAC.a
 lib/libFLAC.la
 lib/libFLAC.so
-lib/libFLAC.so.10
+lib/libFLAC.so.11
 libdata/pkgconfig/flac++.pc
 libdata/pkgconfig/flac.pc
 share/aclocal/libFLAC++.m4
 share/aclocal/libFLAC.m4
 %%PORTDOCS%%%%DOCSDIR%%/FLAC.tag
-%%PORTDOCS%%%%DOCSDIR%%/html/api/+_2all_8h-source.html
-%%PORTDOCS%%%%DOCSDIR%%/html/api/+_2export_8h-source.html
-%%PORTDOCS%%%%DOCSDIR%%/html/api/+_2export_8h.html
-%%PORTDOCS%%%%DOCSDIR%%/html/api/+_2metadata_8h-source.html
-%%PORTDOCS%%%%DOCSDIR%%/html/api/+_2metadata_8h.html
-%%PORTDOCS%%%%DOCSDIR%%/html/api/all_8h-source.html
-%%PORTDOCS%%%%DOCSDIR%%/html/api/annotated.html
-%%PORTDOCS%%%%DOCSDIR%%/html/api/assert_8h-source.html
-%%PORTDOCS%%%%DOCSDIR%%/html/api/callback_8h-source.html
-%%PORTDOCS%%%%DOCSDIR%%/html/api/callback_8h.html
-%%PORTDOCS%%%%DOCSDIR%%/html/api/classFLAC_1_1Decoder_1_1File-members.html
-%%PORTDOCS%%%%DOCSDIR%%/html/api/classFLAC_1_1Decoder_1_1File.html
-%%PORTDOCS%%%%DOCSDIR%%/html/api/classFLAC_1_1Decoder_1_1File.png
-%%PORTDOCS%%%%DOCSDIR%%/html/api/classFLAC_1_1Decoder_1_1Stream-members.html
-%%PORTDOCS%%%%DOCSDIR%%/html/api/classFLAC_1_1Decoder_1_1Stream.html
-%%PORTDOCS%%%%DOCSDIR%%/html/api/classFLAC_1_1Decoder_1_1Stream.png
-%%PORTDOCS%%%%DOCSDIR%%/html/api/classFLAC_1_1Decoder_1_1Stream_1_1State-members.html
-%%PORTDOCS%%%%DOCSDIR%%/html/api/classFLAC_1_1Decoder_1_1Stream_1_1State.html
-%%PORTDOCS%%%%DOCSDIR%%/html/api/classFLAC_1_1Encoder_1_1File-members.html
-%%PORTDOCS%%%%DOCSDIR%%/html/api/classFLAC_1_1Encoder_1_1File.html
-%%PORTDOCS%%%%DOCSDIR%%/html/api/classFLAC_1_1Encoder_1_1File.png
-%%PORTDOCS%%%%DOCSDIR%%/html/api/classFLAC_1_1Encoder_1_1Stream-members.html
-%%PORTDOCS%%%%DOCSDIR%%/html/api/classFLAC_1_1Encoder_1_1Stream.html
-%%PORTDOCS%%%%DOCSDIR%%/html/api/classFLAC_1_1Encoder_1_1Stream.png
-%%PORTDOCS%%%%DOCSDIR%%/html/api/classFLAC_1_1Encoder_1_1Stream_1_1State-members.html
-%%PORTDOCS%%%%DOCSDIR%%/html/api/classFLAC_1_1Encoder_1_1Stream_1_1State.html
-%%PORTDOCS%%%%DOCSDIR%%/html/api/classFLAC_1_1Metadata_1_1Application-members.html
-%%PORTDOCS%%%%DOCSDIR%%/html/api/classFLAC_1_1Metadata_1_1Application.html
-%%PORTDOCS%%%%DOCSDIR%%/html/api/classFLAC_1_1Metadata_1_1Application.png
-%%PORTDOCS%%%%DOCSDIR%%/html/api/classFLAC_1_1Metadata_1_1Chain-members.html
-%%PORTDOCS%%%%DOCSDIR%%/html/api/classFLAC_1_1Metadata_1_1Chain.html
-%%PORTDOCS%%%%DOCSDIR%%/html/api/classFLAC_1_1Metadata_1_1Chain_1_1Status-members.html
-%%PORTDOCS%%%%DOCSDIR%%/html/api/classFLAC_1_1Metadata_1_1Chain_1_1Status.html
-%%PORTDOCS%%%%DOCSDIR%%/html/api/classFLAC_1_1Metadata_1_1CueSheet-members.html
-%%PORTDOCS%%%%DOCSDIR%%/html/api/classFLAC_1_1Metadata_1_1CueSheet.html
-%%PORTDOCS%%%%DOCSDIR%%/html/api/classFLAC_1_1Metadata_1_1CueSheet.png
-%%PORTDOCS%%%%DOCSDIR%%/html/api/classFLAC_1_1Metadata_1_1CueSheet_1_1Track-members.html
-%%PORTDOCS%%%%DOCSDIR%%/html/api/classFLAC_1_1Metadata_1_1CueSheet_1_1Track.html
-%%PORTDOCS%%%%DOCSDIR%%/html/api/classFLAC_1_1Metadata_1_1Iterator-members.html
-%%PORTDOCS%%%%DOCSDIR%%/html/api/classFLAC_1_1Metadata_1_1Iterator.html
-%%PORTDOCS%%%%DOCSDIR%%/html/api/classFLAC_1_1Metadata_1_1Padding-members.html
-%%PORTDOCS%%%%DOCSDIR%%/html/api/classFLAC_1_1Metadata_1_1Padding.html
-%%PORTDOCS%%%%DOCSDIR%%/html/api/classFLAC_1_1Metadata_1_1Padding.png
-%%PORTDOCS%%%%DOCSDIR%%/html/api/classFLAC_1_1Metadata_1_1Picture-members.html
-%%PORTDOCS%%%%DOCSDIR%%/html/api/classFLAC_1_1Metadata_1_1Picture.html
-%%PORTDOCS%%%%DOCSDIR%%/html/api/classFLAC_1_1Metadata_1_1Picture.png
-%%PORTDOCS%%%%DOCSDIR%%/html/api/classFLAC_1_1Metadata_1_1Prototype-members.html
-%%PORTDOCS%%%%DOCSDIR%%/html/api/classFLAC_1_1Metadata_1_1Prototype.html
-%%PORTDOCS%%%%DOCSDIR%%/html/api/classFLAC_1_1Metadata_1_1Prototype.png
-%%PORTDOCS%%%%DOCSDIR%%/html/api/classFLAC_1_1Metadata_1_1SeekTable-members.html
-%%PORTDOCS%%%%DOCSDIR%%/html/api/classFLAC_1_1Metadata_1_1SeekTable.html
-%%PORTDOCS%%%%DOCSDIR%%/html/api/classFLAC_1_1Metadata_1_1SeekTable.png
-%%PORTDOCS%%%%DOCSDIR%%/html/api/classFLAC_1_1Metadata_1_1SimpleIterator-members.html
-%%PORTDOCS%%%%DOCSDIR%%/html/api/classFLAC_1_1Metadata_1_1SimpleIterator.html
-%%PORTDOCS%%%%DOCSDIR%%/html/api/classFLAC_1_1Metadata_1_1SimpleIterator_1_1Status-members.html
-%%PORTDOCS%%%%DOCSDIR%%/html/api/classFLAC_1_1Metadata_1_1SimpleIterator_1_1Status.html
-%%PORTDOCS%%%%DOCSDIR%%/html/api/classFLAC_1_1Metadata_1_1StreamInfo-members.html
-%%PORTDOCS%%%%DOCSDIR%%/html/api/classFLAC_1_1Metadata_1_1StreamInfo.html
-%%PORTDOCS%%%%DOCSDIR%%/html/api/classFLAC_1_1Metadata_1_1StreamInfo.png
-%%PORTDOCS%%%%DOCSDIR%%/html/api/classFLAC_1_1Metadata_1_1Unknown-members.html
-%%PORTDOCS%%%%DOCSDIR%%/html/api/classFLAC_1_1Metadata_1_1Unknown.html
-%%PORTDOCS%%%%DOCSDIR%%/html/api/classFLAC_1_1Metadata_1_1Unknown.png
-%%PORTDOCS%%%%DOCSDIR%%/html/api/classFLAC_1_1Metadata_1_1VorbisComment-members.html
-%%PORTDOCS%%%%DOCSDIR%%/html/api/classFLAC_1_1Metadata_1_1VorbisComment.html
-%%PORTDOCS%%%%DOCSDIR%%/html/api/classFLAC_1_1Metadata_1_1VorbisComment.png
-%%PORTDOCS%%%%DOCSDIR%%/html/api/classFLAC_1_1Metadata_1_1VorbisComment_1_1Entry-members.html
-%%PORTDOCS%%%%DOCSDIR%%/html/api/classFLAC_1_1Metadata_1_1VorbisComment_1_1Entry.html
-%%PORTDOCS%%%%DOCSDIR%%/html/api/classes.html
-%%PORTDOCS%%%%DOCSDIR%%/html/api/decoder_8h-source.html
-%%PORTDOCS%%%%DOCSDIR%%/html/api/decoder_8h.html
-%%PORTDOCS%%%%DOCSDIR%%/html/api/dir_000000.html
-%%PORTDOCS%%%%DOCSDIR%%/html/api/dir_000001.html
-%%PORTDOCS%%%%DOCSDIR%%/html/api/dir_000002.html
-%%PORTDOCS%%%%DOCSDIR%%/html/api/dirs.html
-%%PORTDOCS%%%%DOCSDIR%%/html/api/doxygen.css
-%%PORTDOCS%%%%DOCSDIR%%/html/api/doxygen.png
-%%PORTDOCS%%%%DOCSDIR%%/html/api/encoder_8h-source.html
-%%PORTDOCS%%%%DOCSDIR%%/html/api/encoder_8h.html
-%%PORTDOCS%%%%DOCSDIR%%/html/api/export_8h-source.html
-%%PORTDOCS%%%%DOCSDIR%%/html/api/export_8h.html
-%%PORTDOCS%%%%DOCSDIR%%/html/api/files.html
-%%PORTDOCS%%%%DOCSDIR%%/html/api/format_8h-source.html
-%%PORTDOCS%%%%DOCSDIR%%/html/api/format_8h.html
-%%PORTDOCS%%%%DOCSDIR%%/html/api/functions.html
-%%PORTDOCS%%%%DOCSDIR%%/html/api/functions_func.html
-%%PORTDOCS%%%%DOCSDIR%%/html/api/functions_vars.html
-%%PORTDOCS%%%%DOCSDIR%%/html/api/globals.html
-%%PORTDOCS%%%%DOCSDIR%%/html/api/globals_0x66.html
-%%PORTDOCS%%%%DOCSDIR%%/html/api/globals_0x67.html
-%%PORTDOCS%%%%DOCSDIR%%/html/api/globals_defs.html
-%%PORTDOCS%%%%DOCSDIR%%/html/api/globals_enum.html
-%%PORTDOCS%%%%DOCSDIR%%/html/api/globals_eval.html
-%%PORTDOCS%%%%DOCSDIR%%/html/api/globals_func.html
-%%PORTDOCS%%%%DOCSDIR%%/html/api/globals_type.html
-%%PORTDOCS%%%%DOCSDIR%%/html/api/globals_vars.html
-%%PORTDOCS%%%%DOCSDIR%%/html/api/group__flac.html
-%%PORTDOCS%%%%DOCSDIR%%/html/api/group__flac__callbacks.html
-%%PORTDOCS%%%%DOCSDIR%%/html/api/group__flac__decoder.html
-%%PORTDOCS%%%%DOCSDIR%%/html/api/group__flac__encoder.html
-%%PORTDOCS%%%%DOCSDIR%%/html/api/group__flac__export.html
-%%PORTDOCS%%%%DOCSDIR%%/html/api/group__flac__format.html
-%%PORTDOCS%%%%DOCSDIR%%/html/api/group__flac__metadata.html
-%%PORTDOCS%%%%DOCSDIR%%/html/api/group__flac__metadata__level0.html
-%%PORTDOCS%%%%DOCSDIR%%/html/api/group__flac__metadata__level1.html
-%%PORTDOCS%%%%DOCSDIR%%/html/api/group__flac__metadata__level2.html
-%%PORTDOCS%%%%DOCSDIR%%/html/api/group__flac__metadata__object.html
-%%PORTDOCS%%%%DOCSDIR%%/html/api/group__flac__stream__decoder.html
-%%PORTDOCS%%%%DOCSDIR%%/html/api/group__flac__stream__encoder.html
-%%PORTDOCS%%%%DOCSDIR%%/html/api/group__flacpp.html
-%%PORTDOCS%%%%DOCSDIR%%/html/api/group__flacpp__decoder.html
-%%PORTDOCS%%%%DOCSDIR%%/html/api/group__flacpp__encoder.html
-%%PORTDOCS%%%%DOCSDIR%%/html/api/group__flacpp__export.html
-%%PORTDOCS%%%%DOCSDIR%%/html/api/group__flacpp__metadata.html
-%%PORTDOCS%%%%DOCSDIR%%/html/api/group__flacpp__metadata__level0.html
-%%PORTDOCS%%%%DOCSDIR%%/html/api/group__flacpp__metadata__level1.html
-%%PORTDOCS%%%%DOCSDIR%%/html/api/group__flacpp__metadata__level2.html
-%%PORTDOCS%%%%DOCSDIR%%/html/api/group__flacpp__metadata__object.html
-%%PORTDOCS%%%%DOCSDIR%%/html/api/group__porting.html
-%%PORTDOCS%%%%DOCSDIR%%/html/api/group__porting__1__1__2__to__1__1__3.html
-%%PORTDOCS%%%%DOCSDIR%%/html/api/group__porting__1__1__3__to__1__1__4.html
-%%PORTDOCS%%%%DOCSDIR%%/html/api/group__porting__1__1__4__to__1__2__0.html
-%%PORTDOCS%%%%DOCSDIR%%/html/api/hierarchy.html
-%%PORTDOCS%%%%DOCSDIR%%/html/api/index.html
-%%PORTDOCS%%%%DOCSDIR%%/html/api/metadata_8h-source.html
-%%PORTDOCS%%%%DOCSDIR%%/html/api/metadata_8h.html
-%%PORTDOCS%%%%DOCSDIR%%/html/api/modules.html
-%%PORTDOCS%%%%DOCSDIR%%/html/api/ordinals_8h-source.html
-%%PORTDOCS%%%%DOCSDIR%%/html/api/stream__decoder_8h-source.html
-%%PORTDOCS%%%%DOCSDIR%%/html/api/stream__decoder_8h.html
-%%PORTDOCS%%%%DOCSDIR%%/html/api/stream__encoder_8h-source.html
-%%PORTDOCS%%%%DOCSDIR%%/html/api/stream__encoder_8h.html
-%%PORTDOCS%%%%DOCSDIR%%/html/api/structFLAC____EntropyCodingMethod-members.html
-%%PORTDOCS%%%%DOCSDIR%%/html/api/structFLAC____EntropyCodingMethod.html
-%%PORTDOCS%%%%DOCSDIR%%/html/api/structFLAC____EntropyCodingMethod__PartitionedRice-members.html
-%%PORTDOCS%%%%DOCSDIR%%/html/api/structFLAC____EntropyCodingMethod__PartitionedRice.html
-%%PORTDOCS%%%%DOCSDIR%%/html/api/structFLAC____EntropyCodingMethod__PartitionedRiceContents-members.html
-%%PORTDOCS%%%%DOCSDIR%%/html/api/structFLAC____EntropyCodingMethod__PartitionedRiceContents.html
-%%PORTDOCS%%%%DOCSDIR%%/html/api/structFLAC____Frame-members.html
-%%PORTDOCS%%%%DOCSDIR%%/html/api/structFLAC____Frame.html
-%%PORTDOCS%%%%DOCSDIR%%/html/api/structFLAC____FrameFooter-members.html
-%%PORTDOCS%%%%DOCSDIR%%/html/api/structFLAC____FrameFooter.html
-%%PORTDOCS%%%%DOCSDIR%%/html/api/structFLAC____FrameHeader-members.html
-%%PORTDOCS%%%%DOCSDIR%%/html/api/structFLAC____FrameHeader.html
-%%PORTDOCS%%%%DOCSDIR%%/html/api/structFLAC____IOCallbacks-members.html
-%%PORTDOCS%%%%DOCSDIR%%/html/api/structFLAC____IOCallbacks.html
-%%PORTDOCS%%%%DOCSDIR%%/html/api/structFLAC____StreamDecoder-members.html
-%%PORTDOCS%%%%DOCSDIR%%/html/api/structFLAC____StreamDecoder.html
-%%PORTDOCS%%%%DOCSDIR%%/html/api/structFLAC____StreamEncoder-members.html
-%%PORTDOCS%%%%DOCSDIR%%/html/api/structFLAC____StreamEncoder.html
-%%PORTDOCS%%%%DOCSDIR%%/html/api/structFLAC____StreamMetadata-members.html
-%%PORTDOCS%%%%DOCSDIR%%/html/api/structFLAC____StreamMetadata.html
-%%PORTDOCS%%%%DOCSDIR%%/html/api/structFLAC____StreamMetadata__Application-members.html
-%%PORTDOCS%%%%DOCSDIR%%/html/api/structFLAC____StreamMetadata__Application.html
-%%PORTDOCS%%%%DOCSDIR%%/html/api/structFLAC____StreamMetadata__CueSheet-members.html
-%%PORTDOCS%%%%DOCSDIR%%/html/api/structFLAC____StreamMetadata__CueSheet.html
-%%PORTDOCS%%%%DOCSDIR%%/html/api/structFLAC____StreamMetadata__CueSheet__Index-members.html
-%%PORTDOCS%%%%DOCSDIR%%/html/api/structFLAC____StreamMetadata__CueSheet__Index.html
-%%PORTDOCS%%%%DOCSDIR%%/html/api/structFLAC____StreamMetadata__CueSheet__Track-members.html
-%%PORTDOCS%%%%DOCSDIR%%/html/api/structFLAC____StreamMetadata__CueSheet__Track.html
-%%PORTDOCS%%%%DOCSDIR%%/html/api/structFLAC____StreamMetadata__Padding-members.html
-%%PORTDOCS%%%%DOCSDIR%%/html/api/structFLAC____StreamMetadata__Padding.html
-%%PORTDOCS%%%%DOCSDIR%%/html/api/structFLAC____StreamMetadata__Picture-members.html
-%%PORTDOCS%%%%DOCSDIR%%/html/api/structFLAC____StreamMetadata__Picture.html
-%%PORTDOCS%%%%DOCSDIR%%/html/api/structFLAC____StreamMetadata__SeekPoint-members.html
-%%PORTDOCS%%%%DOCSDIR%%/html/api/structFLAC____StreamMetadata__SeekPoint.html
-%%PORTDOCS%%%%DOCSDIR%%/html/api/structFLAC____StreamMetadata__SeekTable-members.html
-%%PORTDOCS%%%%DOCSDIR%%/html/api/structFLAC____StreamMetadata__SeekTable.html
-%%PORTDOCS%%%%DOCSDIR%%/html/api/structFLAC____StreamMetadata__StreamInfo-members.html
-%%PORTDOCS%%%%DOCSDIR%%/html/api/structFLAC____StreamMetadata__StreamInfo.html
-%%PORTDOCS%%%%DOCSDIR%%/html/api/structFLAC____StreamMetadata__Unknown-members.html
-%%PORTDOCS%%%%DOCSDIR%%/html/api/structFLAC____StreamMetadata__Unknown.html
-%%PORTDOCS%%%%DOCSDIR%%/html/api/structFLAC____StreamMetadata__VorbisComment-members.html
-%%PORTDOCS%%%%DOCSDIR%%/html/api/structFLAC____StreamMetadata__VorbisComment.html
-%%PORTDOCS%%%%DOCSDIR%%/html/api/structFLAC____StreamMetadata__VorbisComment__Entry-members.html
-%%PORTDOCS%%%%DOCSDIR%%/html/api/structFLAC____StreamMetadata__VorbisComment__Entry.html
-%%PORTDOCS%%%%DOCSDIR%%/html/api/structFLAC____Subframe-members.html
-%%PORTDOCS%%%%DOCSDIR%%/html/api/structFLAC____Subframe.html
-%%PORTDOCS%%%%DOCSDIR%%/html/api/structFLAC____Subframe__Constant-members.html
-%%PORTDOCS%%%%DOCSDIR%%/html/api/structFLAC____Subframe__Constant.html
-%%PORTDOCS%%%%DOCSDIR%%/html/api/structFLAC____Subframe__Fixed-members.html
-%%PORTDOCS%%%%DOCSDIR%%/html/api/structFLAC____Subframe__Fixed.html
-%%PORTDOCS%%%%DOCSDIR%%/html/api/structFLAC____Subframe__LPC-members.html
-%%PORTDOCS%%%%DOCSDIR%%/html/api/structFLAC____Subframe__LPC.html
-%%PORTDOCS%%%%DOCSDIR%%/html/api/structFLAC____Subframe__Verbatim-members.html
-%%PORTDOCS%%%%DOCSDIR%%/html/api/structFLAC____Subframe__Verbatim.html
 %%PORTDOCS%%%%DOCSDIR%%/html/changelog.html
 %%PORTDOCS%%%%DOCSDIR%%/html/comparison.html
 %%PORTDOCS%%%%DOCSDIR%%/html/comparison__chopin_prelude_24.html
@@ -304,7 +119,6 @@ share/aclocal/libFLAC.m4
 %%PORTDOCS%%@dirrm %%DOCSDIR%%/html/ru
 %%PORTDOCS%%@dirrm %%DOCSDIR%%/html/images/hw
 %%PORTDOCS%%@dirrm %%DOCSDIR%%/html/images
-%%PORTDOCS%%@dirrm %%DOCSDIR%%/html/api
 %%PORTDOCS%%@dirrm %%DOCSDIR%%/html
 %%PORTDOCS%%@dirrm %%DOCSDIR%%
 @dirrm include/FLAC++

Modified: head/audio/flac123/Makefile
==============================================================================
--- head/audio/flac123/Makefile	Sun Jun  9 19:27:00 2013	(r320404)
+++ head/audio/flac123/Makefile	Sun Jun  9 19:30:58 2013	(r320405)
@@ -7,14 +7,14 @@
 
 PORTNAME=	flac123
 PORTVERSION=	0.0.11
-PORTREVISION=	4
+PORTREVISION=	5
 CATEGORIES=	audio
 MASTER_SITES=	SF/flac-tools/${PORTNAME}/${PORTVERSION}
 
 MAINTAINER=	multimedia@FreeBSD.org
 COMMENT=	Command-line player for flac audio files
 
-LIB_DEPENDS=	FLAC.10:${PORTSDIR}/audio/flac \
+LIB_DEPENDS=	FLAC:${PORTSDIR}/audio/flac \
 		ao.4:${PORTSDIR}/audio/libao \
 		popt.0:${PORTSDIR}/devel/popt
 

Modified: head/audio/gmtp/Makefile
==============================================================================
--- head/audio/gmtp/Makefile	Sun Jun  9 19:27:00 2013	(r320404)
+++ head/audio/gmtp/Makefile	Sun Jun  9 19:30:58 2013	(r320405)
@@ -2,7 +2,7 @@
 
 PORTNAME=	gmtp
 PORTVERSION=	1.3.4
-PORTREVISION=	1
+PORTREVISION=	2
 CATEGORIES=	audio
 MASTER_SITES=	SF/${PORTNAME}/gMTP-${PORTVERSION}/
 DISTNAME=	${PORTNAME}-${PORTVERSION}-i386

Modified: head/audio/gtkpod/Makefile
==============================================================================
--- head/audio/gtkpod/Makefile	Sun Jun  9 19:27:00 2013	(r320404)
+++ head/audio/gtkpod/Makefile	Sun Jun  9 19:30:58 2013	(r320405)
@@ -3,7 +3,7 @@
 
 PORTNAME=	gtkpod
 PORTVERSION=	1.0.0
-PORTREVISION=	2
+PORTREVISION=	3
 CATEGORIES=	audio
 MASTER_SITES=	SF/${PORTNAME}/${PORTNAME}/${PORTNAME}-${PORTVERSION}
 

Modified: head/audio/harp/Makefile
==============================================================================
--- head/audio/harp/Makefile	Sun Jun  9 19:27:00 2013	(r320404)
+++ head/audio/harp/Makefile	Sun Jun  9 19:30:58 2013	(r320405)
@@ -2,6 +2,7 @@
 
 PORTNAME=	harp
 PORTVERSION=	0.5.2
+PORTREVISION=	1
 CATEGORIES=	audio
 MASTER_SITES=	SF
 MASTER_SITE_SUBDIR=	${PORTNAME}

Modified: head/audio/kid3-kde4/Makefile
==============================================================================
--- head/audio/kid3-kde4/Makefile	Sun Jun  9 19:27:00 2013	(r320404)
+++ head/audio/kid3-kde4/Makefile	Sun Jun  9 19:30:58 2013	(r320405)
@@ -2,6 +2,7 @@
 
 PORTNAME=	kid3
 PORTVERSION=	2.3
+PORTREVISION=	1
 CATEGORIES=	audio kde
 MASTER_SITES=	SF
 
@@ -31,7 +32,7 @@ CHROMAPRINT_DESC=	Support for Chromaprin
 
 .if ${PORT_OPTIONS:MFLAC}
 CMAKE_ARGS+=	-DWITH_FLAC=ON
-LIB_DEPENDS+=	FLAC.10:${PORTSDIR}/audio/flac
+LIB_DEPENDS+=	FLAC:${PORTSDIR}/audio/flac
 .else
 CMAKE_ARGS+=	-DWITH_FLAC=OFF
 .endif

Modified: head/audio/kid3/Makefile
==============================================================================
--- head/audio/kid3/Makefile	Sun Jun  9 19:27:00 2013	(r320404)
+++ head/audio/kid3/Makefile	Sun Jun  9 19:30:58 2013	(r320405)
@@ -7,7 +7,7 @@
 
 PORTNAME=	kid3
 PORTVERSION=	1.6
-PORTREVISION=	3
+PORTREVISION=	4
 CATEGORIES=	audio kde
 MASTER_SITES=	SF
 
@@ -15,7 +15,7 @@ MAINTAINER=	ports@FreeBSD.org
 COMMENT=	MP3/Ogg/FLAC tag editor for KDE
 
 LIB_DEPENDS=	id3-3.8.3:${PORTSDIR}/audio/id3lib \
-		FLAC.10:${PORTSDIR}/audio/flac \
+		FLAC:${PORTSDIR}/audio/flac \
 		ogg:${PORTSDIR}/audio/libogg \
 		vorbis.4:${PORTSDIR}/audio/libvorbis \
 		mp4v2.10:${PORTSDIR}/multimedia/mp4v2 \

Modified: head/audio/kio-audiocd/Makefile
==============================================================================
--- head/audio/kio-audiocd/Makefile	Sun Jun  9 19:27:00 2013	(r320404)
+++ head/audio/kio-audiocd/Makefile	Sun Jun  9 19:30:58 2013	(r320405)
@@ -3,6 +3,7 @@
 
 PORTNAME=	kio-audiocd
 PORTVERSION=	${KDE4_VERSION}
+PORTREVISION=	1
 CATEGORIES=	audio kde
 MASTER_SITES=	${MASTER_SITE_KDE}
 MASTER_SITE_SUBDIR=	${KDE4_BRANCH}/${PORTVERSION}/src
@@ -14,7 +15,7 @@ COMMENT=	KDE IOSlave for accessing audio
 
 LICENSE=	GPLv2
 
-LIB_DEPENDS=	FLAC.10:${PORTSDIR}/audio/flac \
+LIB_DEPENDS=	FLAC:${PORTSDIR}/audio/flac \
 		cdda_paranoia.0:${PORTSDIR}/audio/cdparanoia \
 		ogg.8:${PORTSDIR}/audio/libogg \
 		vorbis.4:${PORTSDIR}/audio/libvorbis

Modified: head/audio/libbs2b/Makefile
==============================================================================
--- head/audio/libbs2b/Makefile	Sun Jun  9 19:27:00 2013	(r320404)
+++ head/audio/libbs2b/Makefile	Sun Jun  9 19:30:58 2013	(r320405)
@@ -3,7 +3,7 @@
 
 PORTNAME=	libbs2b
 PORTVERSION=	3.1.0
-PORTREVISION=	1
+PORTREVISION=	2
 CATEGORIES=	audio
 MASTER_SITES=	SF/bs2b/bs2b/${PORTVERSION}
 

Modified: head/audio/libfishsound/Makefile
==============================================================================
--- head/audio/libfishsound/Makefile	Sun Jun  9 19:27:00 2013	(r320404)
+++ head/audio/libfishsound/Makefile	Sun Jun  9 19:30:58 2013	(r320405)
@@ -3,7 +3,7 @@
 
 PORTNAME=	libfishsound
 PORTVERSION=	1.0.0
-PORTREVISION=	1
+PORTREVISION=	2
 CATEGORIES=	audio
 MASTER_SITES=	http://downloads.xiph.org/releases/libfishsound/ \
 		LOCAL/sunpoet

Modified: head/audio/libgig/Makefile
==============================================================================
--- head/audio/libgig/Makefile	Sun Jun  9 19:27:00 2013	(r320404)
+++ head/audio/libgig/Makefile	Sun Jun  9 19:30:58 2013	(r320405)
@@ -7,7 +7,7 @@
 
 PORTNAME=	libgig
 PORTVERSION=	3.3.0
-PORTREVISION=	1
+PORTREVISION=	2
 CATEGORIES=	audio
 MASTER_SITES=	SF/qsampler/${PORTNAME}/${PORTVERSION} \
 		http://download.linuxsampler.org/packages/
@@ -17,7 +17,7 @@ COMMENT=	Gigasampler file loader library
 
 LICENSE=	GPLv2
 
-LIB_DEPENDS=	FLAC.10:${PORTSDIR}/audio/flac \
+LIB_DEPENDS=	FLAC:${PORTSDIR}/audio/flac \
 		sndfile.1:${PORTSDIR}/audio/libsndfile \
 		uuid.1:${PORTSDIR}/misc/e2fsprogs-libuuid
 

Modified: head/audio/libsndfile/Makefile
==============================================================================
--- head/audio/libsndfile/Makefile	Sun Jun  9 19:27:00 2013	(r320404)
+++ head/audio/libsndfile/Makefile	Sun Jun  9 19:30:58 2013	(r320405)
@@ -7,7 +7,7 @@
 
 PORTNAME=	libsndfile
 PORTVERSION=	1.0.25
-PORTREVISION=	2
+PORTREVISION=	3
 CATEGORIES=	audio
 MASTER_SITES=	http://www.mega-nerd.com/libsndfile/files/
 
@@ -49,7 +49,7 @@ CONFIGURE_ARGS+=	--disable-cpu-clip
 .endif
 
 .if ${PORT_OPTIONS:MEXTERNAL}
-LIB_DEPENDS+=	FLAC.10:${PORTSDIR}/audio/flac \
+LIB_DEPENDS+=	FLAC:${PORTSDIR}/audio/flac \
 		vorbis.4:${PORTSDIR}/audio/libvorbis
 .else
 CONFIGURE_ARGS+=--disable-external-libs

Modified: head/audio/lmms/Makefile
==============================================================================
--- head/audio/lmms/Makefile	Sun Jun  9 19:27:00 2013	(r320404)
+++ head/audio/lmms/Makefile	Sun Jun  9 19:30:58 2013	(r320405)
@@ -3,7 +3,7 @@
 
 PORTNAME=	lmms
 PORTVERSION=	0.4.14
-PORTEPOCH=	1
+PORTEPOCH=	2
 CATEGORIES=	audio
 MASTER_SITES=	SF
 

Modified: head/audio/mixxx/Makefile
==============================================================================
--- head/audio/mixxx/Makefile	Sun Jun  9 19:27:00 2013	(r320404)
+++ head/audio/mixxx/Makefile	Sun Jun  9 19:30:58 2013	(r320405)
@@ -3,6 +3,7 @@
 
 PORTNAME=	mixxx
 PORTVERSION=	1.11.0
+PORTREVISION=	1
 DISTVERSIONSUFFIX=	-src
 CATEGORIES=	audio
 MASTER_SITES=	http://downloads.mixxx.org/%SUBDIR%/

Modified: head/audio/mous/Makefile
==============================================================================
--- head/audio/mous/Makefile	Sun Jun  9 19:27:00 2013	(r320404)
+++ head/audio/mous/Makefile	Sun Jun  9 19:30:58 2013	(r320405)
@@ -3,6 +3,7 @@
 
 PORTNAME=	mous
 PORTVERSION=	1.1a
+PORTREVISION=	1
 CATEGORIES=	audio
 MASTER_SITES=	http://cloud.github.com/downloads/0x02/mous/
 

Modified: head/audio/muine/Makefile
==============================================================================
--- head/audio/muine/Makefile	Sun Jun  9 19:27:00 2013	(r320404)
+++ head/audio/muine/Makefile	Sun Jun  9 19:30:58 2013	(r320405)
@@ -4,14 +4,14 @@
 
 PORTNAME=	muine
 PORTVERSION=	0.8.11
-PORTREVISION=	11
+PORTREVISION=	12
 CATEGORIES=	audio gnome
 MASTER_SITES=	GNOME
 
 MAINTAINER=	cy@FreeBSD.org
 COMMENT=	Mono based Gnome audio player
 
-LIB_DEPENDS=	FLAC.10:${PORTSDIR}/audio/flac \
+LIB_DEPENDS=	FLAC:${PORTSDIR}/audio/flac \
 		id3tag.0:${PORTSDIR}/audio/libid3tag \
 		gdbm:${PORTSDIR}/databases/gdbm \
 		vorbis.4:${PORTSDIR}/audio/libvorbis

Modified: head/audio/musicpd/Makefile
==============================================================================
--- head/audio/musicpd/Makefile	Sun Jun  9 19:27:00 2013	(r320404)
+++ head/audio/musicpd/Makefile	Sun Jun  9 19:30:58 2013	(r320405)
@@ -2,6 +2,7 @@
 
 PORTNAME=	musicpd
 PORTVERSION=	0.17.3
+PORTREVISION=	1
 CATEGORIES=	audio ipv6
 MASTER_SITES=	SF/${PORTNAME}/mpd/${PORTVERSION}
 DISTNAME=	mpd-${PORTVERSION}
@@ -73,7 +74,7 @@ MSG=You still have ${PREFIX}/etc/mpd.con
 .endif
 
 .if ${PORT_OPTIONS:MFLAC}
-LIB_DEPENDS+=	FLAC.10:${PORTSDIR}/audio/flac
+LIB_DEPENDS+=	FLAC:${PORTSDIR}/audio/flac
 .else
 CONFIGURE_ARGS+=--disable-flac \
 		--disable-oggflac

Modified: head/audio/mythplugin-mythmusic/Makefile
==============================================================================
--- head/audio/mythplugin-mythmusic/Makefile	Sun Jun  9 19:27:00 2013	(r320404)
+++ head/audio/mythplugin-mythmusic/Makefile	Sun Jun  9 19:30:58 2013	(r320405)
@@ -3,6 +3,7 @@
 
 PORTNAME=	mythmusic
 PORTVERSION=	0.26.0
+PORTREVISION=	1
 CATEGORIES=	audio
 MASTER_SITES=	http://ftp.osuosl.org/pub/mythtv/ \
 		http://ftp.osuosl.org/pub/mythtv/old_releases/ \
@@ -15,7 +16,7 @@ MAINTAINER=	decke@FreeBSD.org
 COMMENT=	Music playing plugin for MythTV
 
 LIB_DEPENDS=	cdio.13:${PORTSDIR}/sysutils/libcdio \
-		FLAC.10:${PORTSDIR}/audio/flac \
+		FLAC:${PORTSDIR}/audio/flac \
 		vorbis.4:${PORTSDIR}/audio/libvorbis \
 		tag.1:${PORTSDIR}/audio/taglib \
 		fftw3f:${PORTSDIR}/math/fftw3-float

Modified: head/audio/ocp/Makefile
==============================================================================
--- head/audio/ocp/Makefile	Sun Jun  9 19:27:00 2013	(r320404)
+++ head/audio/ocp/Makefile	Sun Jun  9 19:30:58 2013	(r320405)
@@ -3,7 +3,7 @@
 
 PORTNAME=	ocp
 PORTVERSION=	0.1.20
-PORTREVISION=	4
+PORTREVISION=	5
 PORTEPOCH=	1
 CATEGORIES=	audio
 MASTER_SITES=	http://stian.cubic.org/ocp/ \

Modified: head/audio/p5-Audio-FLAC-Header/Makefile
==============================================================================
--- head/audio/p5-Audio-FLAC-Header/Makefile	Sun Jun  9 19:27:00 2013	(r320404)
+++ head/audio/p5-Audio-FLAC-Header/Makefile	Sun Jun  9 19:30:58 2013	(r320405)
@@ -7,6 +7,7 @@
 
 PORTNAME=	Audio-FLAC-Header
 PORTVERSION=	2.4
+PORTREVISION=	1
 CATEGORIES=	audio perl5
 MASTER_SITES=	CPAN
 PKGNAMEPREFIX=	p5-
@@ -14,7 +15,7 @@ PKGNAMEPREFIX=	p5-
 MAINTAINER=	lippe@FreeBSD.org
 COMMENT=	Interface to FLAC header metadata
 
-LIB_DEPENDS=	FLAC.10:${PORTSDIR}/audio/flac
+LIB_DEPENDS=	FLAC:${PORTSDIR}/audio/flac
 
 PERL_CONFIGURE=	yes
 CFLAGS+=	-I${LOCALBASE}/include

Modified: head/audio/prokyon3/Makefile
==============================================================================
--- head/audio/prokyon3/Makefile	Sun Jun  9 19:27:00 2013	(r320404)
+++ head/audio/prokyon3/Makefile	Sun Jun  9 19:30:58 2013	(r320405)
@@ -3,7 +3,7 @@
 
 PORTNAME=	prokyon3
 PORTVERSION=	0.9.6
-PORTREVISION=	11
+PORTREVISION=	12
 CATEGORIES=	audio
 MASTER_SITES=	SF
 

Modified: head/audio/rezound/Makefile
==============================================================================
--- head/audio/rezound/Makefile	Sun Jun  9 19:27:00 2013	(r320404)
+++ head/audio/rezound/Makefile	Sun Jun  9 19:30:58 2013	(r320405)
@@ -3,7 +3,7 @@
 
 PORTNAME=	rezound
 DISTVERSION=	0.12.3beta
-PORTREVISION=	16
+PORTREVISION=	17
 CATEGORIES=	audio
 MASTER_SITES=	SF/${PORTNAME}/ReZound/${DISTVERSION}
 

Modified: head/audio/sdl_mixer/Makefile
==============================================================================
--- head/audio/sdl_mixer/Makefile	Sun Jun  9 19:27:00 2013	(r320404)
+++ head/audio/sdl_mixer/Makefile	Sun Jun  9 19:30:58 2013	(r320405)
@@ -3,7 +3,7 @@
 
 PORTNAME=	sdl_mixer
 PORTVERSION=	1.2.12
-PORTREVISION=	2
+PORTREVISION=	3
 CATEGORIES=	audio
 MASTER_SITES=	http://www.libsdl.org/projects/SDL_mixer/release/
 DISTNAME=	SDL_mixer-${PORTVERSION}

Modified: head/audio/sdl_sound/Makefile
==============================================================================
--- head/audio/sdl_sound/Makefile	Sun Jun  9 19:27:00 2013	(r320404)
+++ head/audio/sdl_sound/Makefile	Sun Jun  9 19:30:58 2013	(r320405)
@@ -3,7 +3,7 @@
 
 PORTNAME=	sdl_sound
 PORTVERSION=	1.0.3
-PORTREVISION=	7
+PORTREVISION=	8
 CATEGORIES=	audio
 MASTER_SITES=	http://offload1.icculus.org:9090/SDL_sound/downloads/ \
 		http://offload2.icculus.org:9090/SDL_sound/downloads/

Modified: head/audio/sox/Makefile
==============================================================================
--- head/audio/sox/Makefile	Sun Jun  9 19:27:00 2013	(r320404)
+++ head/audio/sox/Makefile	Sun Jun  9 19:30:58 2013	(r320405)
@@ -3,7 +3,7 @@
 
 PORTNAME=	sox
 PORTVERSION=	14.3.2
-PORTREVISION=	5
+PORTREVISION=	6
 CATEGORIES=	audio
 MASTER_SITES=	SF
 
@@ -111,7 +111,7 @@ CONFIGURE_ARGS+=	--without-lame
 
 .if ${PORT_OPTIONS:MFLAC}
 CONFIGURE_ARGS+=	--with-flac
-LIB_DEPENDS+=		FLAC.10:${PORTSDIR}/audio/flac
+LIB_DEPENDS+=		FLAC:${PORTSDIR}/audio/flac
 .else
 CONFIGURE_ARGS+=	--without-flac
 .endif

Modified: head/audio/squash/Makefile
==============================================================================
--- head/audio/squash/Makefile	Sun Jun  9 19:27:00 2013	(r320404)
+++ head/audio/squash/Makefile	Sun Jun  9 19:30:58 2013	(r320405)
@@ -6,7 +6,7 @@
 
 PORTNAME=		squash
 PORTVERSION=		1.0
-PORTREVISION=		7
+PORTREVISION=		8
 CATEGORIES=		audio
 MASTER_SITES=		${MASTER_SITE_SAVANNAH}
 MASTER_SITE_SUBDIR=	${PORTNAME}
@@ -14,7 +14,7 @@ MASTER_SITE_SUBDIR=	${PORTNAME}
 MAINTAINER=	mandree@FreeBSD.org
 COMMENT=	Learning console-based MP3/OGG player
 
-LIB_DEPENDS+=	FLAC.10:${PORTSDIR}/audio/flac \
+LIB_DEPENDS+=	FLAC:${PORTSDIR}/audio/flac \
 		fftw.2:${PORTSDIR}/math/fftw \
 		id3-3.8.3:${PORTSDIR}/audio/id3lib \
 		mad.2:${PORTSDIR}/audio/mad \

Modified: head/audio/vorbis-tools/Makefile
==============================================================================
--- head/audio/vorbis-tools/Makefile	Sun Jun  9 19:27:00 2013	(r320404)
+++ head/audio/vorbis-tools/Makefile	Sun Jun  9 19:30:58 2013	(r320405)
@@ -3,7 +3,7 @@
 
 PORTNAME=	vorbis-tools
 PORTVERSION=	1.4.0
-PORTREVISION=	4
+PORTREVISION=	5
 PORTEPOCH=	3
 CATEGORIES=	audio
 MASTER_SITES=	http://downloads.xiph.org/releases/vorbis/
@@ -13,7 +13,7 @@ COMMENT=	Play, encode, and manage Ogg Vo
 
 LIB_DEPENDS=	ao.4:${PORTSDIR}/audio/libao \
 		curl.6:${PORTSDIR}/ftp/curl \
-		FLAC.10:${PORTSDIR}/audio/flac \
+		FLAC:${PORTSDIR}/audio/flac \
 		kate.4:${PORTSDIR}/multimedia/libkate \
 		speex.1:${PORTSDIR}/audio/speex \
 		vorbis.4:${PORTSDIR}/audio/libvorbis

Modified: head/audio/xmcd/Makefile
==============================================================================
--- head/audio/xmcd/Makefile	Sun Jun  9 19:27:00 2013	(r320404)
+++ head/audio/xmcd/Makefile	Sun Jun  9 19:30:58 2013	(r320405)
@@ -7,7 +7,7 @@
 
 PORTNAME=	xmcd
 PORTVERSION=	3.3.2
-PORTREVISION=	14
+PORTREVISION=	15
 CATEGORIES=	audio
 MASTER_SITES=	http://www.ibiblio.org/tkan/download/xmcd/3.3.2/src/
 
@@ -15,7 +15,7 @@ MAINTAINER=	eischen@vigrid.com
 COMMENT=	Motif CD player
 
 LIB_DEPENDS+=	vorbis.4:${PORTSDIR}/audio/libvorbis \
-		FLAC.10:${PORTSDIR}/audio/flac
+		FLAC:${PORTSDIR}/audio/flac
 RUN_DEPENDS+=	lame:${PORTSDIR}/audio/lame
 
 USE_MOTIF=	yes

Modified: head/audio/xmms-flac/Makefile
==============================================================================
--- head/audio/xmms-flac/Makefile	Sun Jun  9 19:27:00 2013	(r320404)
+++ head/audio/xmms-flac/Makefile	Sun Jun  9 19:30:58 2013	(r320405)
@@ -1,35 +1,33 @@
 # $FreeBSD$
 
 PORTNAME=	xmms-flac
-PORTVERSION=	1.2.1
-PORTREVISION=	3
+PORTVERSION=	1.3.0
 CATEGORIES=	audio
-MASTER_SITES=	SF/flac/flac-src/flac-${PORTVERSION}-src
+MASTER_SITES=	http://downloads.xiph.org/releases/flac/
 DISTNAME=	flac-${PORTVERSION}
 
 MAINTAINER=	naddy@FreeBSD.org
 COMMENT=	XMMS input plugin for playing FLAC files
 
-LIB_DEPENDS=	xmms.4:${PORTSDIR}/multimedia/xmms \
-		FLAC.10:${PORTSDIR}/audio/flac \
-		pthread-stubs.0:${PORTSDIR}/devel/libpthread-stubs \
+LIB_DEPENDS=	xmms:${PORTSDIR}/multimedia/xmms \
+		FLAC:${PORTSDIR}/audio/flac \
+		pthread-stubs:${PORTSDIR}/devel/libpthread-stubs \
 		ogg:${PORTSDIR}/audio/libogg
 
-USE_AUTOTOOLS=	libtool
 USES=		gettext iconv
+USE_AUTOTOOLS=	libtool
 USE_GNOME=	gtk12
 USE_XORG=	x11 xau xcb xdmcp xext xi
-CONFIGURE_ARGS=	--with-libiconv-prefix="${LOCALBASE}" \
-		--with-ogg="${LOCALBASE}" \
-		--with-xmms-prefix="${LOCALBASE}"
+USE_XZ=		yes
+
+CONFIGURE_ARGS=	--disable-silent-rules
+CPPFLAGS+=	-I${LOCALBASE}/include
+LDFLAGS+=	-L${LOCALBASE}/lib
+
 MAKE_ARGS=	LIBTOOL="${LIBTOOL} --tag=disable-static"
 MAKEFILE=	${FILESDIR}/Makefile
 MAKE_JOBS_SAFE=	yes
 
-# "obj" is magic to our make(1)
-post-configure:
-	@${RM} -rf ${WRKSRC}/obj
-
 # XXX
 post-install:
 	${RM} ${PREFIX}/lib/xmms/Input/libxmms-flac.la

Modified: head/audio/xmms-flac/distinfo
==============================================================================
--- head/audio/xmms-flac/distinfo	Sun Jun  9 19:27:00 2013	(r320404)
+++ head/audio/xmms-flac/distinfo	Sun Jun  9 19:30:58 2013	(r320405)
@@ -1,2 +1,2 @@
-SHA256 (flac-1.2.1.tar.gz) = 9635a44bceb478bbf2ee8a785cf6986fba525afb5fad1fd4bba73cf71f2d3edf
-SIZE (flac-1.2.1.tar.gz) = 2009217
+SHA256 (flac-1.3.0.tar.xz) = fa2d64aac1f77e31dfbb270aeb08f5b32e27036a52ad15e69a77e309528010dc
+SIZE (flac-1.3.0.tar.xz) = 1084256

Modified: head/audio/xmms-flac/files/patch-configure
==============================================================================
--- head/audio/xmms-flac/files/patch-configure	Sun Jun  9 19:27:00 2013	(r320404)
+++ head/audio/xmms-flac/files/patch-configure	Sun Jun  9 19:30:58 2013	(r320405)
@@ -1,14 +1,14 @@
 
 $FreeBSD$
 
---- configure.orig
-+++ configure
-@@ -23490,7 +23490,7 @@
+--- configure.orig	2013-05-27 10:11:54.740045000 +0200
++++ configure	2013-06-09 18:15:53.000000000 +0200
+@@ -19807,7 +19807,7 @@ else
  	CPPFLAGS="-DNDEBUG $CPPFLAGS"
  	if test "x$GCC" = xyes; then
- 		CPPFLAGS="-DFLaC__INLINE=__inline__ $CPPFLAGS"
--		CFLAGS="-O3 -funroll-loops -finline-functions -Wall -W -Winline $CFLAGS"
-+		CFLAGS="-Wall -W $CFLAGS"
+ 		if test "x$user_cflags" = x; then
+-			CFLAGS="-O3 -funroll-loops -Wall -W -Winline"
++			CFLAGS="-Wall -W"
+ 		fi
  	fi
  fi
- 

Modified: head/audio/xmms-flac/files/patch-src_plugin__xmms_Makefile.in
==============================================================================
--- head/audio/xmms-flac/files/patch-src_plugin__xmms_Makefile.in	Sun Jun  9 19:27:00 2013	(r320404)
+++ head/audio/xmms-flac/files/patch-src_plugin__xmms_Makefile.in	Sun Jun  9 19:30:58 2013	(r320405)
@@ -1,28 +1,9 @@
 
 $FreeBSD$
 
---- src/plugin_xmms/Makefile.in.orig
-+++ src/plugin_xmms/Makefile.in
-@@ -147,7 +147,7 @@

*** DIFF OUTPUT TRUNCATED AT 1000 LINES ***
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Christian Weisgerber freebsd_committer 2013-06-09 20:31:21 UTC
State Changed
From-To: open->closed

I updated the port.